diff --git a/config/cfgroot/graphs.pl b/config/cfgroot/graphs.pl
index a7b82fed3..9531a0e37 100644
--- a/config/cfgroot/graphs.pl
+++ b/config/cfgroot/graphs.pl
@@ -486,7 +486,7 @@ sub updatediskgraph {
 		"--start",
 		"-1".$period,
 		"-r",
-		"-t ".$disk." ".$Lang::tr{'disk access per'}." ".$Lang::tr{$period."-graph"},
+		"-t ".$disk." ".$Lang::tr{'disk access'}." ".$Lang::tr{'graph per'}." ".$Lang::tr{$period."-graph"},
 		"-v ".$Lang::tr{'bytes per second'},
 		"--color=SHADEA".$color{"color19"},
 		"--color=SHADEB".$color{"color19"},
diff --git a/langs/de/cgi-bin/de.pl b/langs/de/cgi-bin/de.pl
index ef4e4e6c8..b8f50b504 100644
--- a/langs/de/cgi-bin/de.pl
+++ b/langs/de/cgi-bin/de.pl
@@ -803,7 +803,7 @@
 'disconnect' => 'OpenVPN Stop / Trennen',
 'disconnected' => 'Getrennt',
 'disconnects' => 'Abbrüche',
-'disk access per' => 'Festplattenzugriff je',
+'disk access' => 'Festplattenzugriff',
 'disk usage' => 'Festplattenbelegung',
 'display' => 'Anzeige',
 'display charset' => 'Display Charset',
diff --git a/langs/en/cgi-bin/en.pl b/langs/en/cgi-bin/en.pl
index 0b1b304a9..d3721fb85 100644
--- a/langs/en/cgi-bin/en.pl
+++ b/langs/en/cgi-bin/en.pl
@@ -823,7 +823,7 @@
 'disconnect' => 'OVPN Stop / Disconnect',
 'disconnected' => 'Disconnected',
 'disconnects' => 'Disconnects',
-'disk access per' => 'Disk Access per',
+'disk access' => 'Disk Access',
 'disk usage' => 'Disk usage',
 'display' => 'Display',
 'display charset' => 'Display Charset',
diff --git a/langs/es/cgi-bin/es.pl b/langs/es/cgi-bin/es.pl
index 8a611e181..f9c079b5b 100644
--- a/langs/es/cgi-bin/es.pl
+++ b/langs/es/cgi-bin/es.pl
@@ -655,7 +655,7 @@
 'disabled' => 'desactivado',
 'disconnect' => 'Parar / Desconectar OVPN',
 'disconnects' => 'Desconecta',
-'disk access per' => 'Acceso a disco por',
+'disk access' => 'Acceso a disco',
 'disk usage' => 'Uso de disco',
 'display' => 'Mostrar',
 'display charset' => 'Juego de caracteres a mostrar',
diff --git a/langs/fr/cgi-bin/fr.pl b/langs/fr/cgi-bin/fr.pl
index fc19257bf..7adf1d8c4 100644
--- a/langs/fr/cgi-bin/fr.pl
+++ b/langs/fr/cgi-bin/fr.pl
@@ -829,7 +829,7 @@
 'disconnect' => 'OVPN stoppé / déconnecté',
 'disconnected' => 'Déconnecté',
 'disconnects' => 'Déconnexion',
-'disk access per' => 'Accès disque par',
+'disk access' => 'Accès disque',
 'disk usage' => 'Utilisation disque',
 'display' => 'Réglages',
 'display charset' => 'Afficher jeu de car.',
diff --git a/langs/it/cgi-bin/it.pl b/langs/it/cgi-bin/it.pl
index fa4591b67..d07d21c10 100644
--- a/langs/it/cgi-bin/it.pl
+++ b/langs/it/cgi-bin/it.pl
@@ -733,7 +733,7 @@
 'disabled' => 'disabled',
 'disconnect' => 'OVPN Stop / Disconnect',
 'disconnects' => 'Disconnects',
-'disk access per' => 'Accessi al disco per',
+'disk access' => 'Accessi al disco',
 'disk usage' => 'utilizzo del disco',
 'display' => 'Display',
 'display charset' => 'Display Charset',
diff --git a/langs/nl/cgi-bin/nl.pl b/langs/nl/cgi-bin/nl.pl
index 4be11d5c1..47e8b0018 100644
--- a/langs/nl/cgi-bin/nl.pl
+++ b/langs/nl/cgi-bin/nl.pl
@@ -723,7 +723,7 @@
 'disabled' => 'uitgeschakeld',
 'disconnect' => 'OVPN Stop / Verbreek',
 'disconnects' => 'Verbreekt',
-'disk access per' => 'Schijftoegang per',
+'disk access' => 'Schijftoegang',
 'disk usage' => 'Schijfgebruik',
 'display' => 'Scherm',
 'display charset' => 'Scherm tekenset',
diff --git a/langs/pl/cgi-bin/pl.pl b/langs/pl/cgi-bin/pl.pl
index e77120273..31453d071 100644
--- a/langs/pl/cgi-bin/pl.pl
+++ b/langs/pl/cgi-bin/pl.pl
@@ -656,7 +656,7 @@
 'disabled' => 'wyłączony',
 'disconnect' => 'OVPN Zatrz./Rozłączenie',
 'disconnects' => 'Rozłączeń',
-'disk access per' => 'Dostepow do dysku na',
+'disk access' => 'Dostepow do dysku',
 'disk usage' => 'Wykorzystanie dysku',
 'display' => 'Wyświetl',
 'display charset' => 'Display Charset',
diff --git a/langs/tr/cgi-bin/tr.pl b/langs/tr/cgi-bin/tr.pl
index ea2047609..7e7f711c0 100644
--- a/langs/tr/cgi-bin/tr.pl
+++ b/langs/tr/cgi-bin/tr.pl
@@ -804,7 +804,7 @@
 'disabled' => 'devre dışı',
 'disconnect' => 'OVPN Durdur / Bağlantıyı kes',
 'disconnects' => 'Bağlantıyı kes',
-'disk access per' => 'erişim başına disk',
+'disk access' => 'Disk erişim',
 'disk usage' => 'Disk kullanımı',
 'display' => 'Görünüm',
 'display charset' => 'Karakterleri göster',
@@ -1295,7 +1295,7 @@
 'gpl please read carefully the general public license and accept it below' => 'Dikkatlice Genel Kamu Lisansını okuyup kabul edin',
 'gpl unofficial translation of the general public license v3' => 'Resmi olmayan sürüm-3 Genel Kamu Lisansı çevirisi',
 'graph' => 'grafiği',
-'graph per' => '-',
+'graph per' => 'uzmanı',
 'green' => 'YEŞİL',
 'green interface' => 'Yeşil Arabirim',
 'grouptype' => 'Grup türü:',